Summary:	Open source implementation of a 16-bit x86 BIOS
Summary(pl.UTF-8):	Implementacja 16-bitowego BIOS-u x86 o otwartych źródłach
Name:		seabios
Version:	1.12.0
Release:	1
License:	LGPL v3
Group:		Applications/System
#Source0Download: https://code.coreboot.org/p/seabios/downloads/
Source0:	https://www.seabios.org/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	2fd637b323d247a0948556104a2121c9
URL:		https://www.seabios.org/SeaBIOS
BuildRequires:	acpica
%ifnarch %{ix86} %{x8664} x32
# i386 crosscompiler could be used as well, but we have only x86_64 as more universal
BuildRequires:	crossx8664-binutils
BuildRequires:	crossx8664-gcc
%endif
BuildRequires:	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SeaBIOS is an open source implementation of a 16-bit X86 BIOS. SeaBIOS
can run in an emulator or it can run natively on X86 hardware with the
use of coreboot.

SeaBIOS is the default BIOS for QEMU, KVM and Xen HVM.

%description -l pl.UTF-8
SeaBIOS to mająca otwarte źródła implementacją 16-bitowego BIOS-u X86.
SeaBIOS może działać pod kontrolą emulatora lub natywnie na sprzęcie
X86 przy użyciu bootloadera coreboot.

SeaBIOS to domyślny BIOS dla narzędzi QEMU, KVM i Xen HVM.

%prep
%setup -q

%build
%{__make} \
	V=1 \
%ifnarch %{ix86} %{x8664} x32
	CROSS_PREFIX=x86_64-pld-linux
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

install out/bios.bin $RPM_BUILD_ROOT%{_datadir}/%{name}/bios.bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README docs/{Debugging.md,Mailinglist.md,Memory_Model.md,Releases.md,Runtime_config.md,SeaBIOS.md,SeaVGABIOS.md}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/bios.bin
%changelog
* Sun Nov 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/seabios.git;a=log;h=master

* Sun Nov 18 2018 Jan Palus <atler@pld-linux.org> 15f1a13
- up to 1.12.0

* Sat Jul 29 2017 Jakub Bogusz <qboosh@pld-linux.org> 4247430
- updated to 1.10.2
- .aml files no longer produced (ACPI data translated directly into .hex files)

* Wed Jan 20 2016 Jakub Bogusz <qboosh@pld-linux.org> bca47c9
- noted download URL

* Wed Jan 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 536b958
- updated to 1.9.0

* Sat Sep 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 2b279fc
- binary release moved to seabios-bin.spec; use crosscompiler here in case of non-x86 build
- updated to 1.8.2
- completed BRs

* Tue Aug 25 2015 Marcin Krol <hawk@tld-linux.org> 4453ab6
- updated to 1.8.0, not newest one, but newest with binary release available

* Tue Aug 25 2015 Marcin Krol <hawk@tld-linux.org> 6d08863
- doh, wrong repo again, revert update to 1.8.2

* Tue Aug 25 2015 Marcin Krol <hawk@tld-linux.org> 6c2b4dc
- updated to 1.8.2
- we have only x86 arch, no need to pull binary releases

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> b800e2d
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jun 12 2014 Marcin Krol <hawk@tld-linux.org> c977fe0
- updated to 1.7.5
- typo in pl desc

* Sat May 17 2014 Jakub Bogusz <qboosh@pld-linux.org> 5ae4d71
- pl description

* Sun May 11 2014 Jacek Konieczny <jajcus@jajcus.net> 4a2cc92
- new package

